{
    "initializer": {
    "lifetime": "300",
    "alpha": "0",
    "size": "0.1",
    "dx": "rand()",
    "dy": "rand()",
    "dz": "rand()"
  },
  "ticker": {
    "dx": "((1-RAIN==1)*cos(AGE*0.07)*0.08)+RAIN*0.4",
    "dy": "-0.02",
    "dz": "((1-RAIN==1)*sin(AGE*0.07)*0.08)+RAIN*0.3",
    "roll": "AGE*0.04",
    "alpha": "1"
  },
  "has_physics": true,
  "render_type": "translucent",
  "random_sprite": true,
  "kill_when_still": false,
  "liquid_affinity": "non_liquids",
  "colormap": "minecraft:foliage_color",
  "particle_emitters": [
    {
      "particle": "minecraft:water_leaves_acacia_emit",
      "chance": "1",
      "x": "0", 
       "z": "0",
       "y": "-0.1"
    }
  ]
}